import type { Preview } from '@storybook/react';
import '../public/styles/globals.css';

const preview: Preview = {
  parameters: {
    actions: { argTypesRegex: '^on[A-Z].*' },
    controls: {
      matchers: {
        color: /(background|color)$/i,
        date: /Date$/,
      },
    },
    layout: 'center',
    viewport: {
      viewports: {
        phone: {
          name: 'phone',
          styles: { width: '375px', height: '812px' },
        },
        tablet: {
          name: 'tablet',
          styles: {
            width: '768px',
            height: '1024px',
          },
        },
        pc: {
          name: 'pc',
          styles: {
            width: '1600px',
            height: '1080px',
          },
        },
      },
      defaultViewPort: 'phone',
    },
    excludeStories: /^[a-z]/, // 스토리파일에서 소문자로 내보내진것들을 제외함
  },
};

export default preview;
