import type { Meta, StoryObj } from '@storybook/react';
import Paragraph from './Paragraph';

const meta: Meta<typeof Paragraph> = {
  title: 'atoms/Paragraph',
  component: Paragraph as any,
  argTypes: {},
  excludeStories: /^[a-z]/,
};

export default meta;
type Story = StoryObj<typeof Paragraph>;

export const 기본: Story = {
  render: args => <Paragraph {...args} />,
  args: Paragraph.defaultProps as any,
};

export const 부분컬러: Story = {
  render: args => <Paragraph {...args} />,
  args: { partialColors: ['red', 'blue', 'purple'], content: '<c1>이곳은 빨간색으로 칠해집니다</c1>\n<c2>이곳은 파란색으로 칠해집니다</c2>\n<c3>이곳은 보라색 칠해집니다</c3>' },
};

export const 개행: Story = {
  render: args => <Paragraph {...args} />,
  args: {
    content: '개행\n개행개행\n개행개행개행\n개행개행개행개행',
  },
};
