import React, { useEffect, useState } from 'react';
import AxiosUtils from '../utils/AxiosUtils';
import useSWR, { SWRConfig } from 'swr';
import { isEmpty } from 'lodash-es';

const useAuth = () => {
  const myProfile = useSWR(`/users/profile`, url => AxiosUtils.get(url).then(({ data }) => data.contents));
  const isLogin = !isEmpty(myProfile.data);

  return { profile: myProfile.data, isLogin: isLogin };
};

export default useAuth;
